Error Reporting API

Groups and counts similar errors from cloud services and applications, reports new errors, and provides access to error groups and their associated errors.

Service: clouderrorreporting.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Discovery document

A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://clouderrorreporting.googleapis.com

Regional service endpoint

A regional service endpoint is a base URL that specifies the network address of an API service in a single region. A service that is available in multiple regions might have multiple regional endpoints. Select a location to see its regional service endpoint for this service.


  • https://clouderrorreporting.googleapis.com
  • REST Resource: v1beta1.projects

    Methods
    deleteEvents DELETE /v1beta1/{projectName=projects/*}/events
    Deletes all error events of a given project.

    REST Resource: v1beta1.projects.events

    Methods
    list GET /v1beta1/{projectName=projects/*}/events
    Lists the specified events.
    report POST /v1beta1/{projectName=projects/*}/events:report
    Report an individual error event and record the event to a log.

    REST Resource: v1beta1.projects.groupStats

    Methods
    list GET /v1beta1/{projectName=projects/*}/groupStats
    Lists the specified groups.

    REST Resource: v1beta1.projects.groups

    Methods
    get GET /v1beta1/{groupName=projects/*/groups/*}
    Get the specified group.
    update PUT /v1beta1/{group.name=projects/*/groups/*}
    Replace the data for the specified group.

    REST Resource: v1beta1.projects.locations

    Methods
    deleteEvents DELETE /v1beta1/{projectName=projects/*/locations/*}/events
    Deletes all error events of a given project.

    REST Resource: v1beta1.projects.locations.events

    Methods
    list GET /v1beta1/{projectName=projects/*/locations/*}/events
    Lists the specified events.

    REST Resource: v1beta1.projects.locations.groupStats

    Methods
    list GET /v1beta1/{projectName=projects/*/locations/*}/groupStats
    Lists the specified groups.

    REST Resource: v1beta1.projects.locations.groups

    Methods
    get GET /v1beta1/{groupName=projects/*/locations/*/groups/*}
    Get the specified group.
    update PUT /v1beta1/{group.name=projects/*/locations/*/groups/*}
    Replace the data for the specified group.